预估价格
预估价格
Authorizations
CF-ACCESS-KEYstringRequired
CF-ACCESS-SIGNstringRequired
CF-ACCESS-TIMESTAMPstringRequired
Query parameters
quantityinteger · int32 · min: 60000Required
delegation energy quantity,must >= 65000 购买能量的数量,不小于65000
durationstringRequired
Duration of the order: allowed values are 1h 代理能量的最大持续时间,允许的值:1h
Header parameters
CF-ACCESS-KEYstringRequiredExample:
The API Access key as a string API所使用的KEY
your api keyCF-ACCESS-SIGNstringRequiredExample:
The Base64-encoded signature (see signing messages subsection for details) 使用HMAC SHA256哈希函数获得哈希值,再使用Base-64编码(请参阅签名)
signatureCF-ACCESS-TIMESTAMPstringRequired
The UTC timestamp of your request .e.g : 2008-08-08T08:08:08.888Z 发起请求的时间(UTC),如:2008-08-08T08:08:08.888Z
Responses
200
OK
application/json
codeinteger · int32Optional
成功返回0,其他均为错误
msgstringOptional
发生错误时候返回的消息
sub_codestringOptional
sub_msgstringOptional
datainteger · int64Optional
get/v1/estimate
GET /v1/estimate?quantity=1&duration=text HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200
OK
{
"code": 1,
"msg": "text",
"sub_code": "text",
"sub_msg": "text",
"data": 1
}Last updated